#include <stdio.h>
#include <stdlib.h>
#include <string.h>

float fahrenheit2celsius(const float f)
{
    return (5. / 9.) * (f - 32.);
}

float celsius2fahrenheit(const float c)
{
    return (9. / 5.) * c + 32.;
}

int main(int argc, char* argv[])
{
    if (argc != 3)
    {
        printf("%s <f2c|c2f> <t>\n", argv[0]);
        return EXIT_FAILURE;
    }

    if (strcmp(argv[1], "f2c") == 0)
    {
        float f = atof(argv[2]);
        printf("%.1f°F = %.1f°C\n", f, fahrenheit2celsius(f));
    }
    else if (strcmp(argv[1], "c2f") == 0)
    {
        float c = atof(argv[2]);
        printf("%.1f°C = %.1f°F\n", c, celsius2fahrenheit(c));
    }
    else
    {
        printf("Unknown conversion");
        return EXIT_FAILURE;
    }


    return EXIT_SUCCESS;
}
