#include <stdio.h>
#include <stdlib.h>

int pgcd_rec(const int a, const int b)
{
    if (b > a)
    {
        return pgcd_rec(b, a);
    }

    if (b == 0)
    {
        return a;
    }

    return pgcd_rec(b, a%b);
}

int pgcd(int a, int b)
{
    int old_b;
    if (b > a)
    {
        old_b = b;
        b = a;
        a = old_b;
    }

    while (b != 0)
    {
        old_b = b;
        b = a % b;
        a = old_b;
    }

    return a;
}

int main(int argc, char* argv[])
{
    if (argc != 3)
    {
        printf("%s <a> <b>\n", argv[0]);
        return EXIT_FAILURE;
    }

    const int a = atoi(argv[1]);
    const int b = atoi(argv[2]);

    printf("pgcd(%d,%d) = %d\n", a, b, pgcd_rec(a, b));
    printf("pgcd(%d,%d) = %d\n", a, b, pgcd(a, b));

    return EXIT_SUCCESS;
}
