#include <math.h>
#include <stdio.h>
#include <stdlib.h>


int main(int argc, char* argv[])
{
    if (argc != 4)
    {
        printf("%s <a> <b> <c>\n", argv[0]);
        return EXIT_FAILURE;
    }

    float a = atof(argv[1]);
    float b = atof(argv[2]);
    float c = atof(argv[3]);

    float delta = b*b - 4*a*c;

    printf("%.1fx^2 + %.1fx + %.1f = 0 ", a, b, c);
    if (delta < 0)
    {
        printf("n'a pas de solution réelle.\n");
    }
    else if (delta > 0)
    {
        float x1 = (-b - sqrtf(delta)) / (2*a);
        float x2 = (-b + sqrtf(delta)) / (2*a);

        printf("a deux solutions x1 = %.1f et x2 = %.1f\n", x1, x2);
    }
    else
    {
        float x = -b / (2*a);

        printf("a une solution x = %.1f\n", x);
    }

    return EXIT_SUCCESS;
}
